ONVIF::PTZ::Elements::GetServiceCapabilitiesResponse(3)

NAME
ONVIF::PTZ::Elements::GetServiceCapabilitiesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetServiceCapabilitiesResponse from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Capabilities

     $element->set_Capabilities($data);
     $element->get_Capabilities();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::GetServiceCapabilitiesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Capabilities =>  { # ONVIF::PTZ::Types::Capabilities
   },
 },

AUTHOR
Generated by SOAP::WSDL